Subject: bug#819: 23.0.60; group and owner "Everyone" - what's that about?

From: "Drew Adams" <[email-masked]>
Date: Fri, 29 Aug 2008 19:00:12 -0700

> > I probably misspoke a bit. The `Everyone'...`Everyone' 
> owner and group appear
> > only on `..', and only when `..' represents the top level: 
> c:\. And for Dired in
> > c:\ itself there is no `.' entry, so I can't say it 
> contradicts what `..' showed
> > one level down (`Everyone'...`Everyone').
> >
> > The bug, as I see it, is that `..' is different (showing
> > `Everyone'...`Everyone') _only_ for a directory just under 
> c:\ - for example,
> > Dired in c:\foo\. Everywhere else, I see the same thing for 
> `..' that I see for
> > every other file or directory (my user name and `None', in my case).
> 
> So what seems to be happening is that the security descriptor for the 
> disk itself is different than the security descriptor for the 
> files and folders it contains, and Emacs is reporting that.

Just so I can understand a little better, could you elaborate? I thought that
Eli was saying that with FAT32 it should say Everyone...Everyone everywhere.
Which is more or less (or differently?) secure, my disk or the files and
folders? How is that determined/defined in the Windows UI? Thx.